"use server";

import { FormData } from "@/components/contact/contact-form";
import { CMS_URL } from "@/config";
import { FormResponse } from "@/types";

let url = CMS_URL + "/items" + "/user_data";

export async function handleFormSubmissionAction(
  data: FormData
): Promise<FormResponse> {
  const { name, email, thema, telefon, nachricht } = data;

  try {
    let res = await fetch(url, {
      method: "POST",
      headers: {
        "Content-Type": "application/json",
      },
      body: JSON.stringify({
        name,
        email,
        thema,
        telefon,
        nachricht,
      }),
    });

    if (!res.ok) {
      return {
        status: 400,
        body: {
          message: "Das Absenden des Formulars ist fehlgeschlagen",
        },
      };
    }

    return {
      status: 200,
      body: {
        message: "Formular erfolgreich eingereicht",
      },
    };
  } catch (error) {
    return {
      status: 400,
      body: {
        message: "Das Absenden des Formulars ist fehlgeschlagen",
      },
    };
  }
}
