import { AGBContent } from "@/components/agb";
import CommonHero from "@/components/common/common-hero";
import { CMS_URL } from "@/config";
import { AGB } from "@/types";
import { notFound } from "next/navigation";

let url = CMS_URL + "/items/agb?fields=title,content";

const AGBPage = async () => {
  const agbData = await getAGBData();
  return (
    <>
      <CommonHero title={agbData.title} route="agb" />
      <AGBContent content={agbData.content} />
    </>
  );
};

export default AGBPage;

async function getAGBData() {
  try {
    const res = await fetch(url, {
      next: { revalidate: 7 * 24 * 3600 }, //1week
    });
    const data: {
      data: AGB;
    } = await res.json();

    return data.data;
  } catch (error) {
    notFound();
  }
}
