import Blogs from "@/components/blogs";
import CommonHero from "@/components/common/common-hero";
import { CMS_URL } from "@/config";
import { Blog } from "@/types";
import { notFound } from "next/navigation";

let url =
  CMS_URL +
  "/items" +
  "/blogs" +
  "?fields=slug,title,thumbnail,excerpt,date_created" +
  "&sort=-date_created" +
  "&filter[status][_eq]=published";

const BlogsPage = async () => {
  const blogs = await getBlogs();

  return (
    <>
      <CommonHero title="Blogs" route="blogs" />
      <Blogs blogs={blogs} />
    </>
  );
};

export default BlogsPage;

async function getBlogs() {
  try {
    const res = await fetch(url, {
      cache: "no-cache",
    });
    const data: {
      data: Blog[];
    } = await res.json();

    return data.data;
  } catch (error) {
    notFound();
  }
}
