import CommonHero from "@/components/common/common-hero";
import Impressum from "@/components/impressum";
import { CMS_URL } from "@/config";
import { Impressum as ImpressumType } from "@/types";
import { notFound } from "next/navigation";

let url = CMS_URL + "/items/impressum?fields=title,content";

const ImpressumPage = async () => {
  const impressumData = await getImpressumData();
  return (
    <>
      <CommonHero title={impressumData.title} route="impressum" />
      <Impressum content={impressumData.content} />
    </>
  );
};

export default ImpressumPage;

async function getImpressumData() {
  try {
    const res = await fetch(url, {
      next: { revalidate: 7 * 24 * 3600 }, //1week
    });
    const data: { data: ImpressumType } = await res.json();
    return data.data;
  } catch (error) {
    notFound();
  }
}
