import { ReliableMoves } from "@/components/about";
import ABitAboutUs from "@/components/about/a-bit-about-us";
import CommonHero from "@/components/common/common-hero";
import { CMS_URL } from "@/config";
import { AboutUs } from "@/types";
import { notFound } from "next/navigation";

let url =
  CMS_URL +
  "/items" +
  "/about_us_page" +
  "?fields=title,sub_title,description,about_image,reliable_moves_images.id,reliable_moves_images.directus_files_id";

const AboutUsPage = async () => {
  const aboutData = await getAboutData();

  return (
    <>
      <CommonHero route="Über Uns" title="Über Uns" />
      <ABitAboutUs
        title={aboutData.title}
        subTitle={aboutData.sub_title}
        description={aboutData.description}
        about_image={aboutData.about_image}
      />
      <ReliableMoves images={aboutData.reliable_moves_images} />
    </>
  );
};

export default AboutUsPage;

async function getAboutData() {
  try {
    const res = await fetch(url, {
      cache: "no-cache",
    });

    const data: {
      data: AboutUs;
    } = await res.json();

    return data.data;
  } catch (error) {
    notFound();
  }
}
