import { CMS_ASSETS_URL } from "@/config";
import { Box, Heading, SimpleGrid, Stack, Text } from "@chakra-ui/react";
import Image from "next/image";
import React from "react";
import RenderContent from "../common/render-content";
import { marginX } from "@/utils/constants";

interface Props {
  title: string;
  subTitle: string;
  description: string;
  about_image: string;
}

const ABitAboutUs = ({ title, subTitle, description, about_image }: Props) => {
  return (
    <Stack marginX={marginX} my="3rem" gap="8">
      <Heading textAlign="center">{title}</Heading>
      <SimpleGrid columns={{ base: 1, md: 2 }} gap={6} alignItems="center">
        <Box>
          <Image
            src={`${CMS_ASSETS_URL}/${about_image}`}
            alt={title}
            width={800}
            height={800}
            style={{
              borderRadius: "10px",

              height: "100%",
              width: "100%",
            }}
          />
        </Box>
        <Stack>
          <Heading fontSize="2xl">{subTitle}</Heading>
          <RenderContent content={description} />
        </Stack>
      </SimpleGrid>
    </Stack>
  );
};

export default ABitAboutUs;
