import { CMS_ASSETS_URL } from "@/config";
import { ReliableMovesImages } from "@/types";
import { marginX } from "@/utils/constants";
import { Box, Heading, SimpleGrid, Stack } from "@chakra-ui/react";
import Image from "next/image";
import React from "react";

interface Props {
  images: ReliableMovesImages[];
}

const ReliableMoves = ({ images }: Props) => {
  return (
    <Stack marginX={marginX} my="4rem" gap={6}>
      <Heading textAlign="center">Zuverlässige Umzüge vom Profis</Heading>
      <SimpleGrid columns={{ base: 1, md: 3 }} gap={8}>
        {images.map((image) => (
          <Box key={image.id} overflow="hidden" borderRadius="xl">
            <Image
              src={`${CMS_ASSETS_URL}/${image.directus_files_id}`}
              alt="artur about us image"
              width={500}
              height={500}
              style={{
                height: "100%",
                width: "100%",
                objectFit: "cover",
              }}
            />
          </Box>
        ))}
      </SimpleGrid>
    </Stack>
  );
};

export default ReliableMoves;
