import BlogCard from "@/components/common/blog-card";
import { Blog } from "@/types";

import { marginX } from "@/utils/constants";
import { Box, SimpleGrid } from "@chakra-ui/react";

interface Props {
  blogs: Blog[];
}

const Blogs = ({ blogs }: Props) => {
  return (
    <Box bg="brand.lightMain">
      <SimpleGrid
        marginX={marginX}
        py="4rem"
        columns={{ base: 1, md: 3 }}
        gap={8}
      >
        {blogs.map((blog, i) => (
          <BlogCard key={i} blog={blog} />
        ))}
      </SimpleGrid>
    </Box>
  );
};

export default Blogs;
