import { marginX } from "@/utils/constants";
import { Button, Heading, Stack, Text } from "@chakra-ui/react";
import Link from "next/link";

interface Props {
  title: string;
  text1: string;
  text2: string;
}

const RequestMoveOnline = ({ title, text1, text2 }: Props) => {
  return (
    <Stack align="center" bg="brand.lightBlue" py="6rem">
      <Stack
        marginX={marginX}
        maxW="lg"
        color="brand.white"
        align="center"
        gap={12}
        textAlign="center"
      >
        <Heading>{title}</Heading>
        <Text fontSize="lg">{text1}</Text>
        <Link href="/umzugsgutliste" target="_blank">
          <Button
            bg="brand.main"
            w="fit-content"
            py="1.6rem"
            px="2rem"
            borderRadius="none"
            transform="matrix(1, 0, -0.26, 0.97, 0, 0)"
            fontSize="2xl"
          >
            Online Angebot
          </Button>
        </Link>

        <Text fontSize="lg">{text2}</Text>
      </Stack>
    </Stack>
  );
};

export default RequestMoveOnline;
