import { marginX } from "@/utils/constants";
import { Box, Flex, Stack, Text } from "@chakra-ui/react";
import Link from "next/link";
import React from "react";

const Footer = () => {
  return (
    <Box as="footer" bg="brand.main">
      <Flex
        py="2rem"
        justify="space-between"
        flexDir={{ base: "column", sm: "row" }}
        marginX={marginX}
        gap={{ base: 4, sm: 0 }}
        align="center"
      >
        <Link href="/impressum">
          <Text
            fontWeight="semibold"
            _hover={{
              color: "blue.500",
            }}
            fontSize="lg"
          >
            Impressum
          </Text>
        </Link>

        <Stack align="center">
          <Text fontWeight="semibold" fontSize="lg">
            Datenschutzerklärung
          </Text>
          <Text color="GrayText">
            © Copyright {new Date().getFullYear()} Artur und Helden.
          </Text>
        </Stack>
        <Link href="agb">
          <Text
            _hover={{
              color: "blue.500",
            }}
            fontWeight="semibold"
            fontSize="lg"
          >
            AGB
          </Text>
        </Link>
      </Flex>
    </Box>
  );
};

export default Footer;
