import { Blog } from "@/types";

import { marginX } from "@/utils/constants";
import { Box, Button, Heading, SimpleGrid, Stack } from "@chakra-ui/react";
import BlogCard from "../common/blog-card";
import Link from "next/link";

interface Props {
  title: string;
  blogs: Blog[];
}

const LatestNews = ({ title, blogs }: Props) => {
  return (
    <Box bg="brand.lightMain" py="4rem">
      <Stack marginX={marginX} gap={8}>
        <Heading textAlign="center">{title}</Heading>{" "}
        <SimpleGrid columns={{ base: 1, md: 3 }} gap={8} alignItems="center">
          {blogs.map((blog, i) => (
            <BlogCard key={i} blog={blog} />
          ))}
        </SimpleGrid>
        <Link
          href="/blogs"
          style={{
            margin: "0 auto",
          }}
        >
          <Button colorScheme="main">mehr sehen</Button>
        </Link>
      </Stack>
    </Box>
  );
};

export default LatestNews;
