import { CMS_ASSETS_URL } from "@/config";
import { UniqueCard as CardType } from "@/types";
import { Box, Heading, Stack, Text } from "@chakra-ui/react";
import Image from "next/image";
import React from "react";

interface Props {
  data: CardType;
  i: number;
}

const UniqueCard = ({ data, i }: Props) => {
  const { image, title, description: desc } = data;
  return (
    <Stack
      p="1.6rem"
      boxShadow="xl"
      gap={3}
      color={i === 1 ? "brand.white" : "brand.darkBlue"}
      bg={i === 1 ? "brand.darkBlue" : "brand.main"}
      borderRadius="lg"
      h={{ base: "100%", sm: i === 1 ? "110%" : "100%" }}
    >
      <Box>
        <Image
          src={`${CMS_ASSETS_URL}/${image}`}
          alt={title}
          width={80}
          height={80}
        />
      </Box>

      <Heading
        as="h3"
        color={i === 1 ? "brand.main" : "inherit"}
        fontSize="xl"
        fontWeight="600"
      >
        {title}
      </Heading>
      <Text fontSize="md">{desc}</Text>
    </Stack>
  );
};

export default UniqueCard;
