import { marginX } from "@/utils/constants";
import { Heading, SimpleGrid, Stack } from "@chakra-ui/react";
import UniqueCard from "./unique-card";
import { UniqueCard as CardType } from "@/types";

interface Props {
  data: CardType[];
  title: string;
}

const WhatMakesUsUnique = ({ data, title }: Props) => {
  return (
    <Stack
      marginX={marginX}
      my={{ base: "2rem", md: "4rem" }}
      gap={{ base: "2rem", sm: "4rem" }}
    >
      <Heading textAlign="center">{title}</Heading>
      <SimpleGrid columns={{ base: 1, md: 3 }} gap={8} alignItems="center">
        {data.map((d, i) => (
          <UniqueCard key={i} data={d} i={i} />
        ))}
      </SimpleGrid>
    </Stack>
  );
};

export default WhatMakesUsUnique;
