"use client";

import { TruckIcon } from "@/utils/icons";
import { Box, Button } from "@chakra-ui/react";
import Link from "next/link";

const AngebotButton = ({
  bg = "brand.main",
  color = "brand.white",
  onClose,
}: {
  bg?: string;
  color?: string;
  onClose?: () => void;
}) => {
  return (
    <Link href="/umzugsgutliste">
      <Button
        bg={bg}
        borderRadius="xl"
        color={color}
        onClick={() => {
          onClose && onClose();
        }}
        _hover={{
          bg: "brand.lightBlue",
          color: "brand.white",
        }}
      >
        Angebot anfordern <Box as={TruckIcon} ml={1} boxSize={6} />
      </Button>
    </Link>
  );
};

export default AngebotButton;
