import { Box } from "@chakra-ui/react";
import TopNav from "./top-nav";
import MainNav from "./main-nav";
import { CMS_URL } from "@/config";
import { SocialsAndContacts } from "@/types";

let url =
  CMS_URL +
  "/items/" +
  "socials_and_contacts" +
  "?fields=" +
  "facebook,instagram,tel,email";

const Navbar = async () => {
  const data = await getNavData();
  return (
    <Box as="nav">
      <TopNav data={data} />
      <hr />
      <MainNav />
    </Box>
  );
};

export default Navbar;

async function getNavData() {
  try {
    const res = await fetch(url, {
      cache: "no-cache",
    });
    const data: {
      data: SocialsAndContacts;
    } = await res.json();
    return data.data;
  } catch (error) {
    return {
      facebook: "https://web.facebook.com/RussenUmzug/?_rdc=1&_rdr",
      instagram: "https://www.instagram.com/arturundhelden",
      tel: "+491722762328",
      email: "info@arturundhelden",
    };
  }
}
