import { marginX, navItems } from "@/utils/constants";
import { Box, Flex, Text } from "@chakra-ui/react";
import Image from "next/image";
import Link from "next/link";
import AngebotButton from "./angebot-button";
import MobileNav from "./mobile-nav";

const MainNav = () => {
  return (
    <Flex marginX={marginX} py=".3rem" align="center" justify="space-between">
      <Box height="80px">
        <Link href="/">
          <Image
            src="/logo.png"
            width={200}
            height={200}
            style={{
              width: "100%",
              height: "100%",
            }}
            alt="artur & helden logo"
          />
        </Link>
      </Box>
      <Box display={{ base: "block", lg: "none" }}>
        <MobileNav />
      </Box>
      <Flex gap={5} align="center" display={{ base: "none", lg: "flex" }}>
        {navItems.map((item, i) => (
          <Text
            key={i}
            color="brand.lightBlue"
            fontWeight="500"
            fontSize="lg"
            _hover={{
              color: "brand.main",
            }}
          >
            <Link href={item.link}>{item.name}</Link>
          </Text>
        ))}
        <AngebotButton />
      </Flex>
    </Flex>
  );
};

export default MainNav;
