import { marginX } from "@/utils/constants";
import { Button, Heading, Stack, Text } from "@chakra-ui/react";
import Link from "next/link";
import React from "react";

interface Props {
  title: string;
  description: string;
}

const ServicesCTA = ({ title, description }: Props) => {
  return (
    <Stack align="center" bg="brand.lightBlue" py="6rem">
      <Stack
        marginX={marginX}
        maxW="lg"
        color="brand.white"
        align="center"
        gap={12}
        textAlign="center"
      >
        <Heading>{title}</Heading>
        <Text fontSize="lg">{description}</Text>
        <Link
          href="https://dev.arturundhelden.com/umzug/create-step-one"
          target="_blank"
        >
          <Button
            bg="brand.main"
            w="fit-content"
            py="1.6rem"
            px="2rem"
            borderRadius="none"
            transform="matrix(1, 0, -0.26, 0.97, 0, 0)"
            fontSize="2xl"
            _hover={{
              bg: "brand.white",
              color: "brand.black",
            }}
          >
            Online Buchen
          </Button>
        </Link>
      </Stack>
    </Stack>
  );
};

export default ServicesCTA;
