import { LocationIcon, PhoneIcon } from "@/utils/icons";
import { Box, Flex, Heading, Stack, Text } from "@chakra-ui/react";

const contactInfo = [
  {
    icon: LocationIcon,
    title: "Unsere Anschrift",
    text1: "Artur & Helden, Carl-Klein Str 6",
    text2: "42897, Remscheid",
  },
  {
    icon: PhoneIcon,
    title: "Unsere Kontaktdaten",
    text1: "Telefon: +491722762328",
    text2: "Email: info@arturundhelden.de",
  },
];

const SideBar = () => {
  return (
    <Stack gap={6} mb={{ base: "2rem", sm: ".4rem" }}>
      {contactInfo.map((c, i) => (
        <Stack
          key={i}
          p={4}
          borderRadius="md"
          boxShadow="md"
          border="1px solid var(--chakra-colors-brand-main)"
          _hover={{
            boxShadow: "lg",
            bg: "brand.main",
            cursor: "pointer",

            ".icon-wrapper": {
              color: "brand.white",
            },
          }}
        >
          <Flex
            align="center"
            gap={2}
            className="icon-wrapper"
            color="brand.main"
          >
            <Box as={c.icon} boxSize={8} />
            <Heading fontSize="2xl">{c.title}</Heading>
          </Flex>
          <Text fontSize="lg">
            {c.text1}
            <br />
            {c.text2}
          </Text>
        </Stack>
      ))}
    </Stack>
  );
};

export default SideBar;
