import { z } from "zod";

export const moveSchema = z.object({
  loadingFrom: z
    .string()
    .min(3, { message: "Der Ladeort muss mindestens 3 Zeichen lang sein" }),
  loadingFromZip: z.string().min(5, {
    message: "Die Postleitzahl muss mindestens 5 Zeichen lang sein",
  }),
  loadingFromStreet: z
    .string()
    .min(3, { message: "Die Straße muss mindestens 3 Zeichen lang sein" }),
  loadingFromHasNarrowStaircase: z.string(),
  loadingFromDistanceOver20m: z.string(),
  loadingFromHasInclinedElevator: z.string(),
  loadingFromHasEstablishmentOfNoParkingZone: z.string(),
  loadingFromHasElevator: z.string(),
  loadingTo: z
    .string()
    .min(3, { message: "Der Ladeort muss mindestens 3 Zeichen lang sein" }),
  loadingToZip: z.string().min(5, {
    message: "Die Postleitzahl muss mindestens 5 Zeichen lang sein",
  }),
  loadingToStreet: z
    .string()
    .min(3, { message: "Die Straße muss mindestens 3 Zeichen lang sein" }),
  loadingToHasNarrowStaircase: z.string(),
  loadingToDistanceOver20m: z.string(),
  loadingToHasInclinedElevator: z.string(),
  loadingToHasEstablishmentOfNoParkingZone: z.string(),
  loadingToHasElevator: z.string(),
  contactTelephone: z.string().min(8, {
    message: "Die Telefonnummer muss mindestens  Zeichen lang sein",
  }),
  contactEmail: z
    .string()
    .email({ message: "Bitte geben Sie eine gültige Email-Adresse ein" }),
  contactName: z.string().min(3, {
    message: "Der Name muss mindestens 3 Zeichen lang sein",
  }),
  moveDate: z.string(),
});

export type MoveFormData = z.infer<typeof moveSchema>;
