import { extendTheme } from "@chakra-ui/react";
import { Ubuntu } from "next/font/google";
import { withProse } from "@nikolovlazar/chakra-ui-prose";
import { inputTheme } from "./input-theme";

const ubuntu = Ubuntu({
  weight: ["400", "500", "700"],
  subsets: ["latin"],
});

export const theme = extendTheme(
  {
    components: {
      Input: inputTheme,
    },
    fonts: {
      heading: ubuntu.style.fontFamily,
    },

    colors: {
      brand: {
        black: "#000",
        white: "#ffff",
        red: "#ff0000",
        darkBlue: "#131c21",
        main: "#80D765",
        lightMain: "rgba(128, 215, 101,.4)",
        lightBlue: "#2a3855",
        text: "#646464",
      },
      main: {
        100: "#F0FDE2",
        200: "#DDFBC5",
        300: "#C3F3A5",
        400: "#A7E78B",
        500: "#80D765",
        600: "#5CB849",
        700: "#3C9A32",
        800: "#227C20",
        900: "#136717",
      },
    },
  },
  withProse()
);
