export type SocialsAndContacts = {
  facebook: string;
  instagram: string;
  tel: string;
  email: string;
};
export type AGB = {
  title: string;
  content: string;
};

export type Impressum = {
  title: string;
  content: string;
};

export type Blog = {
  slug: string;
  title: string;
  thumbnail: string;
  excerpt: string;
  content?: string;
  status?: string;
  date_created: string;
};

export type Globals = {
  title: string;
  description: string;
  keywords: string;
};

export type Stat = {
  id: number;
  image: string;
  stat: string;
  title: string;
};

export type Service = {
  slug: string;
  image_icon: string;
  thumbnail?: string;
  title: string;
  excerpt: string;
  content?: string;
};

export type HowItWorksCard = {
  id: number;
  image: string;
  title: string;
  description: string;
  link?: string;
  // date_created: string;
};

export type WeAreArturImages = {
  id: number;
  directus_files_id: string;
};

export type UniqueCard = {
  id: number;
  image: string;
  title: string;
  description: string;
  date_created?: string;
};

export type Homepage = {
  why_we_are_unique_title: string;
  we_are_artur_sub_title: string;
  we_are_artur_title: string;
  we_are_artur_description: string;
  how_it_works_title: string;
  our_services_title: string;
  book_online_title: string;
  book_online_sub_text_1: string;
  book_online_sub_text_2: string;
  home_blog_title: string;
  why_we_are_unique_cards: UniqueCard[];
  we_are_artur_images: WeAreArturImages[];
  how_it_works_cards: HowItWorksCard[];
  services: Service[];
  stats: Stat[];
  home_blogs: Blog[];
};

export type ReliableMovesImages = {
  id: number;
  directus_files_id: string;
};

export type AboutUs = {
  title: string;
  sub_title: string;
  description: string;
  about_image: string;
  reliable_moves_images: ReliableMovesImages[];
};

type Testimonial = {
  id: number;
  author_image: string;
  author_name: string;
  author_position: string;
  content: string;
};

export type ServicesPage = {
  services: Service[];
  cta1_title: string;
  cta1_description: string;
  testimonial_title: string;
  testimonials: Testimonial[];
  book_online_title: string;
  book_online_text1: string;
  book_online_text2: string;
};

export type UserData = {
  name: string;
  email: string;
  thema: string;
  telefon: string;
  nachricht: string;
};

export type ContactPage = {
  address: string;
  working_hours: string;
  our_email: string;
  give_us_a_call_number: string;
  form_title: string;
  form_description: string;
  form_image: string;
};

type FormResponse = {
  status: number;
  body: {
    message: string;
  };
};
